# Формат входных данных

## Структура params

```js
{
    label: 'Название проекта',
    items: [item1, item2, ...]
    ... // @see source/js/params.js:102
}
```

## Структура item

item - это блок, либо группа. Группироваться произвольно могут другие группы и блоки. Вложенность группировки не ограничена. Формат item:
```js
{
    // {String} Название, которе выведется в списке
    "name": "",

    // {Object} Стили, применяемые к текущему и всем вложенным в item элементам. См. Структура объекта styles.
    "styles": {},

    // {Array} Массив item
    "items": [
        // {item}
        ...
    ]
}
```

В любой объект item можно добавлять любые другие свойства.

## Структура объекта styles

```js
"styles": {
    // {String} Стили, применяемые к врапперу
    "wrapper": "color: red;",

    // {String} Стили, применяемые к контейнеру с изображением
    "image": "background: green; border: 1px solid yellow;",

    // {String} Стили, применяемые к контейнеру с версткой
    "markup": "box-shadow: 0 0 3px rgba(0, 0, 0, .3)"
}
```

Если styles есть у текущего item и каких-либо его родителей, эти стили объединяются (склеиваются строки стилей). Приоритет стилей идёт от корневого элемента к конечному (у конечного наибольший вес).
